let
    sources = import ./nix/sources.nix { };
    pkgs = import sources.nixpkgs { overlays = [ (import sources.mozilla) ]; };
in
pkgs.gcc10Stdenv.mkDerivation {
    name = "shell";
    buildInputs = [
        (pkgs.rustChannelOf { date = "2022-02-23"; channel = "nightly"; }).rust
        pkgs.openssl
        pkgs.pkg-config
    ];
}
