use askama::Template;
use crate::app::{
    duration_tools::DurationTools,
    config::{
        Command,
        CommandExecutor,
    },
};

#[derive(Template)]
#[template(path = "commands.html")]
pub struct CommandsTemplate {
    pub commands: Vec<Command>,
}

#[derive(Template)]
#[template(path = "add_command.html")]
pub struct AddCommandTemplate;

#[derive(Template)]
#[template(path = "edit_command.html")]
pub struct EditCommandTemplate {
    pub command: Command,
}
